Skip to main content
Back to API List Get a particular conversation by providing the Conversation Id.
MethodGET
Endpointhttps://{{host}}/agentassist/api/v1/public/{{streamId}}/conversations/{{conversationId}}
Content Typeapplication/json
Authorizationauth: {{JWT}} See How to generate the JWT Token
API ScopeSmartAssist Analytics

Path Parameters

ParameterDescriptionType
hostThe Environment URL. For example, https://platform.kore.aistring, required
streamIdbotId or streamId. You can get it from the App Settings page.string, required

Query Parameters

ParameterDescriptionType
conversationIdA specific conversationId. This will fetch the records from that conversation. In case only the specific conversation is required, set the limit to 1. This field cannot be used in combination with dateFrom and dateTo.string, required

Sample Request

curl --location 'https://{{host}}/agentassist/api/v1/public/{{streamId}}/conversations/{{conversationId}}' \
--header 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \
--header 'accountId: {{YOUR_accountId}}'

Sample Response

{
    "participants": [
        {
            "queueId": "qu-241a4d7-e5d0-45a9-8032-82384505xxxx",
            "queueStartTime": "2023-05-22T04:55:05.350Z",
            "queueName": "Default Queue",
            "agentId": "u-b19cd89e-6533-59af-b491-eec9bf8fxxxx",
            "name": "John Doe",
            "status": "INACTIVE",
            "assignedAt": "2023-05-22T04:55:05.452Z",
            "startTimeStamp": "2023-05-22T04:55:07.718Z",
            "endTimeStamp": "2023-05-22T05:29:14.043Z",
            "isTransferred": false,
            "onInterrupt": true
        }
    ],
    "transferDetails": [
        {
            "fromQueue": "qu-241a4d7-e5d0-45a9-8032-82384505xxxx",
            "fromAgent": "u-b19cd89e-6533-59af-b491-eec9bf8fxxxx",
            "transferredType": "QUEUE",
            "transferredTo": [
                {
                    "id": "qu-241a4d7-e5d0-45a9-8032-82384505xxxx",
                    "name": "Default Queue",
                    "type": "QUEUE"
                }
            ],
            "transferredBy": "u-b19cd89e-6533-59af-b491-eec9bf8fxxxx",
            "priority": "HIGHEST",
            "transferredAt": "2023-05-22T05:29:14.007Z",
            "isManager": false
        }
    ],
    "waitTime": 3369,
    "isProactiveAgentAssistEnabled": true,
    "status": "CLOSED",
    "callbackOpted": false,
    "contactFlow": [],
    "surveyRequired": "YES",
    "isDeveloper": false,
    "_id": "c-3c04346-e522-4c53-9e03-c9566d85xxxx",
    "orgId": "o-ca23f4c5-cc3e-586d-90e6-8375bf2dxxxx",
    "userId": "u-aa15c0f4-7f78-5912-8713-f5cd1c3exxxx",
    "accountId": "637368b4a1d039e34ba6xxxx",
    "botId": "st-3bf09bef-f979-5489-b337-f465bd5dxxxx",
    "source": "rtm",
    "botSessionId": "646af57bcc41e5bfbd5exxxx",
    "language": "en",
    "keyIntentName": "TalkToAgent",
    "keyIntentUserInput": "I want to talk to an agent",
    "conversationType": "messaging",
    "priority": 5,
    "startTime": "2023-05-22T04:55:05.351Z",
    "endTime": "2023-05-22T05:29:14.086Z",
    "skills": [],
    "acceptedAt": "2023-05-22T04:55:07.718Z",
    "notes": [],
    "dispositions": {
        "metaStatus": "SYSTEM_DROP_OFF",
        "status": "DROP-OFF",
        "remarks": "I'm sorry. It seems like there are no agents that can help you at this time. Reach out us a bit later.",
        "dispositionSets": null
    }
}

Response Body Parameters

ParameterDescriptionType
transferDetailsTransfer details of the conversation.array
waitTimeThe wait time for the conversation in milliseconds.integer
isProactiveAgentAssistEnabledWhether proactive AgentAI is enabled for the conversation.boolean
callbackOptedWhether callback is opted for the conversation.boolean
contactFlowContact flow information for the conversation.array
surveyRequiredWhether a survey is required for the conversation.boolean
isDeveloperWhether the user is a developer.boolean
idThe conversation Id.integer
userIdThe ID of the user associated with the conversation.string
sourceThe source of the conversation.string
botSessionIdThe ID of the bot session associated with the conversation.string
keyIntentNameThe key intent for the conversation.string
keyIntentUserInputThe user input associated with the key intent for the conversation.string
agentDesktopMetaAdditional metadata related to the agent desktop.object
conversationTypeThe type of conversation (for example, messaging).string
priorityThe priority level of the conversation.string
queuesQueue details for the conversation.array
startTimeThe start time of the conversation.string
endTimeThe end time of the conversation.string
formDataForm data associated with the conversation.array
timestampValueThe timestamp value of the conversation.integer
createdAtThe creation time of the conversation.string
updatedAtLast updated time of the conversation.string
skillsThe skills associated with the conversation.array
acceptedAtThe time when the conversation was accepted.string
notesNotes associated with the conversation.array
dispositionsDisposition details for the conversation.object
userInfoUser information associated with the conversation.object